summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch')
-rw-r--r--meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch1076
1 files changed, 0 insertions, 1076 deletions
diff --git a/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch b/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
deleted file mode 100644
index d9aed34bf3..0000000000
--- a/meta/recipes-devtools/gcc/gcc-csl-arm/gcc-configure-no-fortran.patch
+++ /dev/null
@@ -1,1076 +0,0 @@
1Upstream-Status: Inappropriate [embedded specific]
2--- tmp/configure.in.orig 2006-09-05 17:50:48.000000000 +0100
3+++ tmp/configure.in 2006-09-05 17:50:48.000000000 +0100
4@@ -157,7 +157,6 @@
5 target-libstdc++-v3 \
6 target-libmudflap \
7 target-libssp \
8- target-libgfortran \
9 ${libgcj} \
10 target-libobjc \
11 target-libada"
12@@ -1084,77 +1083,6 @@
13 AC_SUBST(docdir)
14 AC_SUBST(htmldir)
15
16-# Check for GMP and MPFR
17-gmplibs=
18-gmpinc=
19-have_gmp=yes
20-# Specify a location for mpfr
21-# check for this first so it ends up on the link line before gmp.
22-AC_ARG_WITH(mpfr-dir, [ --with-mpfr-dir=PATH Specify source directory for MPFR library])
23-
24-if test "x$with_mpfr_dir" != x; then
25- gmpinc="-I$with_mpfr_dir"
26- gmplibs="$with_mpfr_dir/libmpfr.a"
27-else
28- gmplibs="-lmpfr"
29-fi
30-
31-AC_ARG_WITH(mpfr, [ --with-mpfr=PATH Specify directory for installed MPFR library])
32-
33-if test "x$with_mpfr" != x; then
34- gmplibs="-L$with_mpfr/lib $gmplibs"
35- gmpinc="-I$with_mpfr/include"
36-fi
37-
38-# Specify a location for gmp
39-AC_ARG_WITH(gmp-dir, [ --with-gmp-dir=PATH Specify source directory for GMP library])
40-
41-if test "x$with_gmp_dir" != x; then
42- gmpinc="$gmpinc -I$with_gmp_dir"
43- if test -f "$with_gmp_dir/.libs/libgmp.a"; then
44- gmplibs="$gmplibs $with_gmp_dir/.libs/libgmp.a"
45- elif test -f "$with_gmp_dir/_libs/libgmp.a"; then
46- gmplibs="$gmplibs $with_gmp_dir/_libs/libgmp.a"
47- fi
48- # One of the later tests will catch the error if neither library is present.
49-else
50- gmplibs="$gmplibs -lgmp"
51-fi
52-
53-AC_ARG_WITH(gmp, [ --with-gmp=PATH Specify directory for installed GMP library])
54-
55-if test "x$with_gmp" != x; then
56- gmplibs="-L$with_gmp/lib $gmplibs"
57- gmpinc="-I$with_gmp/include $gmpinc"
58-fi
59-
60-saved_CFLAGS="$CFLAGS"
61-CFLAGS="$CFLAGS $gmpinc"
62-# Check GMP actually works
63-AC_MSG_CHECKING([for correct version of gmp.h])
64-AC_TRY_COMPILE([#include "gmp.h"],[
65-#if __GNU_MP_VERSION < 3
66-choke me
67-#endif
68-], [AC_MSG_RESULT([yes])],
69- [AC_MSG_RESULT([no]); have_gmp=no])
70-
71-if test x"$have_gmp" = xyes; then
72- AC_MSG_CHECKING([for MPFR])
73-
74- saved_LIBS="$LIBS"
75- LIBS="$LIBS $gmplibs"
76- AC_TRY_LINK([#include <gmp.h>
77-#include <mpfr.h>], [mpfr_t n; mpfr_init(n);],
78- [AC_MSG_RESULT([yes])], [AC_MSG_RESULT([no]); have_gmp=no])
79- LIBS="$saved_LIBS"
80- CFLAGS="$saved_CFLAGS"
81-fi
82-
83-# Flags needed for both GMP and/or MPFR
84-AC_SUBST(gmplibs)
85-AC_SUBST(gmpinc)
86-
87 # By default, C is the only stage 1 language.
88 stage1_languages=c
89 AC_SUBST(stage1_languages)
90@@ -1182,15 +1110,6 @@
91 fi
92 enable_languages=`echo "${enable_languages}" | sed -e 's/[[ ,]][[ ,]]*/,/g' -e 's/,$//'`
93
94- # 'f95' is the old name for the 'fortran' language. We issue a warning
95- # and make the substitution.
96- case ,${enable_languages}, in
97- *,f95,*)
98- echo configure.in: warning: 'f95' as language name is deprecated, use 'fortran' instead 1>&2
99- enable_languages=`echo "${enable_languages}" | sed -e 's/f95/fortran/g'`
100- ;;
101- esac
102-
103 # First scan to see if an enabled language requires some other language.
104 # We assume that a given config-lang.in will list all the language
105 # front ends it requires, even if some are required indirectly.
106@@ -2213,7 +2132,6 @@
107 NCN_STRICT_CHECK_TARGET_TOOLS(DLLTOOL_FOR_TARGET, dlltool)
108 NCN_STRICT_CHECK_TARGET_TOOLS(GCC_FOR_TARGET, gcc, ${CC_FOR_TARGET})
109 NCN_STRICT_CHECK_TARGET_TOOLS(GCJ_FOR_TARGET, gcj)
110-NCN_STRICT_CHECK_TARGET_TOOLS(GFORTRAN_FOR_TARGET, gfortran)
111 NCN_STRICT_CHECK_TARGET_TOOLS(LD_FOR_TARGET, ld)
112 NCN_STRICT_CHECK_TARGET_TOOLS(LIPO_FOR_TARGET, lipo)
113 NCN_STRICT_CHECK_TARGET_TOOLS(NM_FOR_TARGET, nm)
114@@ -2237,9 +2155,7 @@
115 GCC_TARGET_TOOL(gcc, GCC_FOR_TARGET, , [gcc/xgcc -B$$r/$(HOST_SUBDIR)/gcc/])
116 GCC_TARGET_TOOL(gcj, GCJ_FOR_TARGET, GCJ,
117 [gcc/gcj -B$$r/$(HOST_SUBDIR)/gcc/], java)
118-GCC_TARGET_TOOL(gfortran, GFORTRAN_FOR_TARGET, GFORTRAN,
119- [gcc/gfortran -B$$r/$(HOST_SUBDIR)/gcc/], fortran)
120 GCC_TARGET_TOOL(ld, LD_FOR_TARGET, LD, [ld/ld-new])
121 GCC_TARGET_TOOL(lipo, LIPO_FOR_TARGET, LIPO)
122 GCC_TARGET_TOOL(nm, NM_FOR_TARGET, NM, [binutils/nm-new])
123
124--- tmp/Makefile.in.orig 2006-09-06 08:33:46.000000000 +0100
125+++ tmp/Makefile.in 2006-09-06 08:33:46.000000000 +0100
126@@ -119,7 +119,6 @@
127 CXX="$(CXX_FOR_BUILD)"; export CXX; \
128 CXXFLAGS="$(CXXFLAGS_FOR_BUILD)"; export CXXFLAGS; \
129 GCJ="$(GCJ_FOR_BUILD)"; export GCJ; \
130- GFORTRAN="$(GFORTRAN_FOR_BUILD)"; export GFORTRAN; \
131 DLLTOOL="$(DLLTOOL_FOR_BUILD)"; export DLLTOOL; \
132 LD="$(LD_FOR_BUILD)"; export LD; \
133 LDFLAGS="$(LDFLAGS_FOR_BUILD)"; export LDFLAGS; \
134@@ -201,7 +200,6 @@
135 CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
136 CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
137 GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
138- GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
139 DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
140 LD="$(COMPILER_LD_FOR_TARGET)"; export LD; \
141 LDFLAGS="$(LDFLAGS_FOR_TARGET)"; export LDFLAGS; \
142@@ -313,7 +311,6 @@
143 CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
144 RAW_CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @RAW_CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
145 GCJ_FOR_TARGET=$(STAGE_CC_WRAPPER) @GCJ_FOR_TARGET@ $(FLAGS_FOR_TARGET)
146-GFORTRAN_FOR_TARGET=$(STAGE_CC_WRAPPER) @GFORTRAN_FOR_TARGET@ $(FLAGS_FOR_TARGET)
147 DLLTOOL_FOR_TARGET=@DLLTOOL_FOR_TARGET@
148 LD_FOR_TARGET=@LD_FOR_TARGET@
149
150@@ -452,7 +449,6 @@
151 "CXXFLAGS_FOR_TARGET=$(CXXFLAGS_FOR_TARGET)" \
152 "DLLTOOL_FOR_TARGET=$(DLLTOOL_FOR_TARGET)" \
153 "GCJ_FOR_TARGET=$(GCJ_FOR_TARGET)" \
154- "GFORTRAN_FOR_TARGET=$(GFORTRAN_FOR_TARGET)" \
155 "LD_FOR_TARGET=$(LD_FOR_TARGET)" \
156 "LIPO_FOR_TARGET=$(LIPO_FOR_TARGET)" \
157 "LDFLAGS_FOR_TARGET=$(LDFLAGS_FOR_TARGET)" \
158@@ -618,7 +614,6 @@
159 maybe-configure-target-libmudflap \
160 maybe-configure-target-libssp \
161 maybe-configure-target-newlib \
162- maybe-configure-target-libgfortran \
163 maybe-configure-target-libobjc \
164 maybe-configure-target-libtermcap \
165 maybe-configure-target-winsup \
166@@ -737,7 +732,6 @@
167 maybe-all-target-libmudflap \
168 maybe-all-target-libssp \
169 maybe-all-target-newlib \
170- maybe-all-target-libgfortran \
171 maybe-all-target-libobjc \
172 maybe-all-target-libtermcap \
173 maybe-all-target-winsup \
174@@ -844,7 +838,6 @@
175 maybe-info-target-libmudflap \
176 maybe-info-target-libssp \
177 maybe-info-target-newlib \
178- maybe-info-target-libgfortran \
179 maybe-info-target-libobjc \
180 maybe-info-target-libtermcap \
181 maybe-info-target-winsup \
182@@ -946,7 +939,6 @@
183 maybe-dvi-target-libmudflap \
184 maybe-dvi-target-libssp \
185 maybe-dvi-target-newlib \
186- maybe-dvi-target-libgfortran \
187 maybe-dvi-target-libobjc \
188 maybe-dvi-target-libtermcap \
189 maybe-dvi-target-winsup \
190@@ -1048,7 +1040,6 @@
191 maybe-html-target-libmudflap \
192 maybe-html-target-libssp \
193 maybe-html-target-newlib \
194- maybe-html-target-libgfortran \
195 maybe-html-target-libobjc \
196 maybe-html-target-libtermcap \
197 maybe-html-target-winsup \
198@@ -1150,7 +1141,6 @@
199 maybe-TAGS-target-libmudflap \
200 maybe-TAGS-target-libssp \
201 maybe-TAGS-target-newlib \
202- maybe-TAGS-target-libgfortran \
203 maybe-TAGS-target-libobjc \
204 maybe-TAGS-target-libtermcap \
205 maybe-TAGS-target-winsup \
206@@ -1252,7 +1242,6 @@
207 maybe-install-info-target-libmudflap \
208 maybe-install-info-target-libssp \
209 maybe-install-info-target-newlib \
210- maybe-install-info-target-libgfortran \
211 maybe-install-info-target-libobjc \
212 maybe-install-info-target-libtermcap \
213 maybe-install-info-target-winsup \
214@@ -1354,7 +1343,6 @@
215 maybe-install-html-target-libmudflap \
216 maybe-install-html-target-libssp \
217 maybe-install-html-target-newlib \
218- maybe-install-html-target-libgfortran \
219 maybe-install-html-target-libobjc \
220 maybe-install-html-target-libtermcap \
221 maybe-install-html-target-winsup \
222@@ -1456,7 +1444,6 @@
223 maybe-installcheck-target-libmudflap \
224 maybe-installcheck-target-libssp \
225 maybe-installcheck-target-newlib \
226- maybe-installcheck-target-libgfortran \
227 maybe-installcheck-target-libobjc \
228 maybe-installcheck-target-libtermcap \
229 maybe-installcheck-target-winsup \
230@@ -1558,7 +1545,6 @@
231 maybe-mostlyclean-target-libmudflap \
232 maybe-mostlyclean-target-libssp \
233 maybe-mostlyclean-target-newlib \
234- maybe-mostlyclean-target-libgfortran \
235 maybe-mostlyclean-target-libobjc \
236 maybe-mostlyclean-target-libtermcap \
237 maybe-mostlyclean-target-winsup \
238@@ -1660,7 +1646,6 @@
239 maybe-clean-target-libmudflap \
240 maybe-clean-target-libssp \
241 maybe-clean-target-newlib \
242- maybe-clean-target-libgfortran \
243 maybe-clean-target-libobjc \
244 maybe-clean-target-libtermcap \
245 maybe-clean-target-winsup \
246@@ -1762,7 +1747,6 @@
247 maybe-distclean-target-libmudflap \
248 maybe-distclean-target-libssp \
249 maybe-distclean-target-newlib \
250- maybe-distclean-target-libgfortran \
251 maybe-distclean-target-libobjc \
252 maybe-distclean-target-libtermcap \
253 maybe-distclean-target-winsup \
254@@ -1864,7 +1848,6 @@
255 maybe-maintainer-clean-target-libmudflap \
256 maybe-maintainer-clean-target-libssp \
257 maybe-maintainer-clean-target-newlib \
258- maybe-maintainer-clean-target-libgfortran \
259 maybe-maintainer-clean-target-libobjc \
260 maybe-maintainer-clean-target-libtermcap \
261 maybe-maintainer-clean-target-winsup \
262@@ -2024,7 +2007,6 @@
263 maybe-check-target-libmudflap \
264 maybe-check-target-libssp \
265 maybe-check-target-newlib \
266- maybe-check-target-libgfortran \
267 maybe-check-target-libobjc \
268 maybe-check-target-libtermcap \
269 maybe-check-target-winsup \
270@@ -2223,7 +2205,6 @@
271 maybe-install-target-libmudflap \
272 maybe-install-target-libssp \
273 maybe-install-target-newlib \
274- maybe-install-target-libgfortran \
275 maybe-install-target-libobjc \
276 maybe-install-target-libtermcap \
277 maybe-install-target-winsup \
278@@ -31606,382 +31587,6 @@
279
280
281 # There's only one multilib.out. Cleverer subdirs shouldn't need it copied.
282-@if target-libgfortran
283-$(TARGET_SUBDIR)/libgfortran/multilib.out: multilib.out
284- $(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/libgfortran ; \
285- rm -f $(TARGET_SUBDIR)/libgfortran/Makefile || : ; \
286- cp multilib.out $(TARGET_SUBDIR)/libgfortran/multilib.out
287-@endif target-libgfortran
288-
289-
290-
291-.PHONY: configure-target-libgfortran maybe-configure-target-libgfortran
292-maybe-configure-target-libgfortran:
293-@if target-libgfortran
294-maybe-configure-target-libgfortran: configure-target-libgfortran
295-configure-target-libgfortran: $(TARGET_SUBDIR)/libgfortran/multilib.out
296- @$(unstage)
297- @test ! -f $(TARGET_SUBDIR)/libgfortran/Makefile || exit 0; \
298- $(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/libgfortran ; \
299- r=`${PWD_COMMAND}`; export r; \
300- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
301- $(NORMAL_TARGET_EXPORTS) \
302- echo Configuring in $(TARGET_SUBDIR)/libgfortran; \
303- cd "$(TARGET_SUBDIR)/libgfortran" || exit 1; \
304- case $(srcdir) in \
305- /* | [A-Za-z]:[\\/]*) topdir=$(srcdir) ;; \
306- *) topdir=`echo $(TARGET_SUBDIR)/libgfortran/ | \
307- sed -e 's,\./,,g' -e 's,[^/]*/,../,g' `$(srcdir) ;; \
308- esac; \
309- srcdiroption="--srcdir=$${topdir}/libgfortran"; \
310- libsrcdir="$$s/libgfortran"; \
311- rm -f no-such-file || : ; \
312- CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
313- $(TARGET_CONFIGARGS) $${srcdiroption} \
314- || exit 1
315-@endif target-libgfortran
316-
317-
318-
319-
320-
321-.PHONY: all-target-libgfortran maybe-all-target-libgfortran
322-maybe-all-target-libgfortran:
323-@if target-libgfortran
324-TARGET-target-libgfortran=all
325-maybe-all-target-libgfortran: all-target-libgfortran
326-all-target-libgfortran: configure-target-libgfortran
327- @$(unstage)
328- @r=`${PWD_COMMAND}`; export r; \
329- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
330- $(NORMAL_TARGET_EXPORTS) \
331- (cd $(TARGET_SUBDIR)/libgfortran && \
332- $(MAKE) $(TARGET_FLAGS_TO_PASS) $(TARGET-target-libgfortran))
333-@endif target-libgfortran
334-
335-
336-
337-
338-
339-.PHONY: check-target-libgfortran maybe-check-target-libgfortran
340-maybe-check-target-libgfortran:
341-@if target-libgfortran
342-maybe-check-target-libgfortran: check-target-libgfortran
343-
344-check-target-libgfortran:
345- @: $(MAKE); $(unstage)
346- @r=`${PWD_COMMAND}`; export r; \
347- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
348- $(NORMAL_TARGET_EXPORTS) \
349- (cd $(TARGET_SUBDIR)/libgfortran && \
350- $(MAKE) $(TARGET_FLAGS_TO_PASS) check)
351-
352-@endif target-libgfortran
353-
354-.PHONY: install-target-libgfortran maybe-install-target-libgfortran
355-maybe-install-target-libgfortran:
356-@if target-libgfortran
357-maybe-install-target-libgfortran: install-target-libgfortran
358-
359-install-target-libgfortran: installdirs
360- @: $(MAKE); $(unstage)
361- @r=`${PWD_COMMAND}`; export r; \
362- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
363- $(NORMAL_TARGET_EXPORTS) \
364- (cd $(TARGET_SUBDIR)/libgfortran && \
365- $(MAKE) $(TARGET_FLAGS_TO_PASS) install)
366-
367-@endif target-libgfortran
368-
369-# Other targets (info, dvi, etc.)
370-
371-.PHONY: maybe-info-target-libgfortran info-target-libgfortran
372-maybe-info-target-libgfortran:
373-@if target-libgfortran
374-maybe-info-target-libgfortran: info-target-libgfortran
375-
376-info-target-libgfortran: \
377- configure-target-libgfortran
378- @: $(MAKE); $(unstage)
379- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
380- r=`${PWD_COMMAND}`; export r; \
381- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
382- $(NORMAL_TARGET_EXPORTS) \
383- echo "Doing info in $(TARGET_SUBDIR)/libgfortran" ; \
384- for flag in $(EXTRA_TARGET_FLAGS); do \
385- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
386- done; \
387- (cd $(TARGET_SUBDIR)/libgfortran && \
388- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
389- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
390- "RANLIB=$${RANLIB}" \
391- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
392- info) \
393- || exit 1
394-
395-@endif target-libgfortran
396-
397-.PHONY: maybe-dvi-target-libgfortran dvi-target-libgfortran
398-maybe-dvi-target-libgfortran:
399-@if target-libgfortran
400-maybe-dvi-target-libgfortran: dvi-target-libgfortran
401-
402-dvi-target-libgfortran: \
403- configure-target-libgfortran
404- @: $(MAKE); $(unstage)
405- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
406- r=`${PWD_COMMAND}`; export r; \
407- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
408- $(NORMAL_TARGET_EXPORTS) \
409- echo "Doing dvi in $(TARGET_SUBDIR)/libgfortran" ; \
410- for flag in $(EXTRA_TARGET_FLAGS); do \
411- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
412- done; \
413- (cd $(TARGET_SUBDIR)/libgfortran && \
414- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
415- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
416- "RANLIB=$${RANLIB}" \
417- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
418- dvi) \
419- || exit 1
420-
421-@endif target-libgfortran
422-
423-.PHONY: maybe-html-target-libgfortran html-target-libgfortran
424-maybe-html-target-libgfortran:
425-@if target-libgfortran
426-maybe-html-target-libgfortran: html-target-libgfortran
427-
428-html-target-libgfortran: \
429- configure-target-libgfortran
430- @: $(MAKE); $(unstage)
431- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
432- r=`${PWD_COMMAND}`; export r; \
433- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
434- $(NORMAL_TARGET_EXPORTS) \
435- echo "Doing html in $(TARGET_SUBDIR)/libgfortran" ; \
436- for flag in $(EXTRA_TARGET_FLAGS); do \
437- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
438- done; \
439- (cd $(TARGET_SUBDIR)/libgfortran && \
440- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
441- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
442- "RANLIB=$${RANLIB}" \
443- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
444- html) \
445- || exit 1
446-
447-@endif target-libgfortran
448-
449-.PHONY: maybe-TAGS-target-libgfortran TAGS-target-libgfortran
450-maybe-TAGS-target-libgfortran:
451-@if target-libgfortran
452-maybe-TAGS-target-libgfortran: TAGS-target-libgfortran
453-
454-TAGS-target-libgfortran: \
455- configure-target-libgfortran
456- @: $(MAKE); $(unstage)
457- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
458- r=`${PWD_COMMAND}`; export r; \
459- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
460- $(NORMAL_TARGET_EXPORTS) \
461- echo "Doing TAGS in $(TARGET_SUBDIR)/libgfortran" ; \
462- for flag in $(EXTRA_TARGET_FLAGS); do \
463- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
464- done; \
465- (cd $(TARGET_SUBDIR)/libgfortran && \
466- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
467- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
468- "RANLIB=$${RANLIB}" \
469- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
470- TAGS) \
471- || exit 1
472-
473-@endif target-libgfortran
474-
475-.PHONY: maybe-install-info-target-libgfortran install-info-target-libgfortran
476-maybe-install-info-target-libgfortran:
477-@if target-libgfortran
478-maybe-install-info-target-libgfortran: install-info-target-libgfortran
479-
480-install-info-target-libgfortran: \
481- configure-target-libgfortran \
482- info-target-libgfortran
483- @: $(MAKE); $(unstage)
484- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
485- r=`${PWD_COMMAND}`; export r; \
486- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
487- $(NORMAL_TARGET_EXPORTS) \
488- echo "Doing install-info in $(TARGET_SUBDIR)/libgfortran" ; \
489- for flag in $(EXTRA_TARGET_FLAGS); do \
490- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
491- done; \
492- (cd $(TARGET_SUBDIR)/libgfortran && \
493- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
494- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
495- "RANLIB=$${RANLIB}" \
496- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
497- install-info) \
498- || exit 1
499-
500-@endif target-libgfortran
501-
502-.PHONY: maybe-install-html-target-libgfortran install-html-target-libgfortran
503-maybe-install-html-target-libgfortran:
504-@if target-libgfortran
505-maybe-install-html-target-libgfortran: install-html-target-libgfortran
506-
507-install-html-target-libgfortran: \
508- configure-target-libgfortran \
509- html-target-libgfortran
510- @: $(MAKE); $(unstage)
511- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
512- r=`${PWD_COMMAND}`; export r; \
513- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
514- $(NORMAL_TARGET_EXPORTS) \
515- echo "Doing install-html in $(TARGET_SUBDIR)/libgfortran" ; \
516- for flag in $(EXTRA_TARGET_FLAGS); do \
517- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
518- done; \
519- (cd $(TARGET_SUBDIR)/libgfortran && \
520- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
521- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
522- "RANLIB=$${RANLIB}" \
523- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
524- install-html) \
525- || exit 1
526-
527-@endif target-libgfortran
528-
529-.PHONY: maybe-installcheck-target-libgfortran installcheck-target-libgfortran
530-maybe-installcheck-target-libgfortran:
531-@if target-libgfortran
532-maybe-installcheck-target-libgfortran: installcheck-target-libgfortran
533-
534-installcheck-target-libgfortran: \
535- configure-target-libgfortran
536- @: $(MAKE); $(unstage)
537- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
538- r=`${PWD_COMMAND}`; export r; \
539- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
540- $(NORMAL_TARGET_EXPORTS) \
541- echo "Doing installcheck in $(TARGET_SUBDIR)/libgfortran" ; \
542- for flag in $(EXTRA_TARGET_FLAGS); do \
543- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
544- done; \
545- (cd $(TARGET_SUBDIR)/libgfortran && \
546- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
547- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
548- "RANLIB=$${RANLIB}" \
549- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
550- installcheck) \
551- || exit 1
552-
553-@endif target-libgfortran
554-
555-.PHONY: maybe-mostlyclean-target-libgfortran mostlyclean-target-libgfortran
556-maybe-mostlyclean-target-libgfortran:
557-@if target-libgfortran
558-maybe-mostlyclean-target-libgfortran: mostlyclean-target-libgfortran
559-
560-mostlyclean-target-libgfortran:
561- @: $(MAKE); $(unstage)
562- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
563- r=`${PWD_COMMAND}`; export r; \
564- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
565- $(NORMAL_TARGET_EXPORTS) \
566- echo "Doing mostlyclean in $(TARGET_SUBDIR)/libgfortran" ; \
567- for flag in $(EXTRA_TARGET_FLAGS); do \
568- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
569- done; \
570- (cd $(TARGET_SUBDIR)/libgfortran && \
571- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
572- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
573- "RANLIB=$${RANLIB}" \
574- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
575- mostlyclean) \
576- || exit 1
577-
578-@endif target-libgfortran
579-
580-.PHONY: maybe-clean-target-libgfortran clean-target-libgfortran
581-maybe-clean-target-libgfortran:
582-@if target-libgfortran
583-maybe-clean-target-libgfortran: clean-target-libgfortran
584-
585-clean-target-libgfortran:
586- @: $(MAKE); $(unstage)
587- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
588- r=`${PWD_COMMAND}`; export r; \
589- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
590- $(NORMAL_TARGET_EXPORTS) \
591- echo "Doing clean in $(TARGET_SUBDIR)/libgfortran" ; \
592- for flag in $(EXTRA_TARGET_FLAGS); do \
593- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
594- done; \
595- (cd $(TARGET_SUBDIR)/libgfortran && \
596- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
597- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
598- "RANLIB=$${RANLIB}" \
599- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
600- clean) \
601- || exit 1
602-
603-@endif target-libgfortran
604-
605-.PHONY: maybe-distclean-target-libgfortran distclean-target-libgfortran
606-maybe-distclean-target-libgfortran:
607-@if target-libgfortran
608-maybe-distclean-target-libgfortran: distclean-target-libgfortran
609-
610-distclean-target-libgfortran:
611- @: $(MAKE); $(unstage)
612- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
613- r=`${PWD_COMMAND}`; export r; \
614- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
615- $(NORMAL_TARGET_EXPORTS) \
616- echo "Doing distclean in $(TARGET_SUBDIR)/libgfortran" ; \
617- for flag in $(EXTRA_TARGET_FLAGS); do \
618- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
619- done; \
620- (cd $(TARGET_SUBDIR)/libgfortran && \
621- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
622- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
623- "RANLIB=$${RANLIB}" \
624- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
625- distclean) \
626- || exit 1
627-
628-@endif target-libgfortran
629-
630-.PHONY: maybe-maintainer-clean-target-libgfortran maintainer-clean-target-libgfortran
631-maybe-maintainer-clean-target-libgfortran:
632-@if target-libgfortran
633-maybe-maintainer-clean-target-libgfortran: maintainer-clean-target-libgfortran
634-
635-maintainer-clean-target-libgfortran:
636- @: $(MAKE); $(unstage)
637- @[ -f $(TARGET_SUBDIR)/libgfortran/Makefile ] || exit 0 ; \
638- r=`${PWD_COMMAND}`; export r; \
639- s=`cd $(srcdir); ${PWD_COMMAND}`; export s; \
640- $(NORMAL_TARGET_EXPORTS) \
641- echo "Doing maintainer-clean in $(TARGET_SUBDIR)/libgfortran" ; \
642- for flag in $(EXTRA_TARGET_FLAGS); do \
643- eval `echo "$$flag" | sed -e "s|^\([^=]*\)=\(.*\)|\1='\2'; export \1|"`; \
644- done; \
645- (cd $(TARGET_SUBDIR)/libgfortran && \
646- $(MAKE) $(BASE_FLAGS_TO_PASS) "AR=$${AR}" "AS=$${AS}" \
647- "CC=$${CC}" "CXX=$${CXX}" "LD=$${LD}" "NM=$${NM}" \
648- "RANLIB=$${RANLIB}" \
649- "DLLTOOL=$${DLLTOOL}" "WINDRES=$${WINDRES}" \
650- maintainer-clean) \
651- || exit 1
652-
653-@endif target-libgfortran
654-
655-
656-
657-# There's only one multilib.out. Cleverer subdirs shouldn't need it copied.
658 @if target-libobjc
659 $(TARGET_SUBDIR)/libobjc/multilib.out: multilib.out
660 $(SHELL) $(srcdir)/mkinstalldirs $(TARGET_SUBDIR)/libobjc ; \
661@@ -38574,8 +38179,6 @@
662
663 configure-target-newlib: maybe-all-gcc
664
665-configure-target-libgfortran: maybe-all-gcc
666-
667 configure-target-libobjc: maybe-all-gcc
668
669 configure-target-libtermcap: maybe-all-gcc
670@@ -38613,9 +38216,7 @@
671
672 configure-target-libada: maybe-all-target-newlib maybe-all-target-libgloss
673
674-configure-target-libgfortran: maybe-all-target-newlib maybe-all-target-libgloss
675-
676 configure-target-libffi: maybe-all-target-newlib maybe-all-target-libgloss
677
678 configure-target-libjava: maybe-all-target-newlib maybe-all-target-libgloss
679
680--- tmp/Makefile.tpl.orig 2006-09-06 08:36:52.000000000 +0100
681+++ tmp/Makefile.tpl 2006-09-06 08:36:52.000000000 +0100
682@@ -122,7 +122,6 @@
683 CXX="$(CXX_FOR_BUILD)"; export CXX; \
684 CXXFLAGS="$(CXXFLAGS_FOR_BUILD)"; export CXXFLAGS; \
685 GCJ="$(GCJ_FOR_BUILD)"; export GCJ; \
686- GFORTRAN="$(GFORTRAN_FOR_BUILD)"; export GFORTRAN; \
687 DLLTOOL="$(DLLTOOL_FOR_BUILD)"; export DLLTOOL; \
688 LD="$(LD_FOR_BUILD)"; export LD; \
689 LDFLAGS="$(LDFLAGS_FOR_BUILD)"; export LDFLAGS; \
690@@ -204,7 +203,6 @@
691 CPPFLAGS="$(CPPFLAGS_FOR_TARGET)"; export CPPFLAGS; \
692 CXXFLAGS="$(CXXFLAGS_FOR_TARGET)"; export CXXFLAGS; \
693 GCJ="$(GCJ_FOR_TARGET)"; export GCJ; \
694- GFORTRAN="$(GFORTRAN_FOR_TARGET)"; export GFORTRAN; \
695 DLLTOOL="$(DLLTOOL_FOR_TARGET)"; export DLLTOOL; \
696 LD="$(COMPILER_LD_FOR_TARGET)"; export LD; \
697 LDFLAGS="$(LDFLAGS_FOR_TARGET)"; export LDFLAGS; \
698@@ -316,7 +314,6 @@
699 CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
700 RAW_CXX_FOR_TARGET=$(STAGE_CC_WRAPPER) @RAW_CXX_FOR_TARGET@ $(FLAGS_FOR_TARGET)
701 GCJ_FOR_TARGET=$(STAGE_CC_WRAPPER) @GCJ_FOR_TARGET@ $(FLAGS_FOR_TARGET)
702-GFORTRAN_FOR_TARGET=$(STAGE_CC_WRAPPER) @GFORTRAN_FOR_TARGET@ $(FLAGS_FOR_TARGET)
703 DLLTOOL_FOR_TARGET=@DLLTOOL_FOR_TARGET@
704 LD_FOR_TARGET=@LD_FOR_TARGET@
705
706--- tmp/Makefile.def.orig 2006-09-06 08:38:50.000000000 +0100
707+++ tmp/Makefile.def 2006-09-06 08:38:50.000000000 +0100
708@@ -117,7 +117,6 @@
709 target_modules = { module= libmudflap; lib_path=.libs; };
710 target_modules = { module= libssp; lib_path=.libs; };
711 target_modules = { module= newlib; };
712-target_modules = { module= libgfortran; };
713 target_modules = { module= libobjc; };
714 target_modules = { module= libtermcap; no_check=true;
715 missing=mostlyclean;
716@@ -227,7 +226,6 @@
717 flags_to_pass = { flag= CXXFLAGS_FOR_TARGET ; };
718 flags_to_pass = { flag= DLLTOOL_FOR_TARGET ; };
719 flags_to_pass = { flag= GCJ_FOR_TARGET ; };
720-flags_to_pass = { flag= GFORTRAN_FOR_TARGET ; };
721 flags_to_pass = { flag= LD_FOR_TARGET ; };
722 flags_to_pass = { flag= LIPO_FOR_TARGET ; };
723 flags_to_pass = { flag= LDFLAGS_FOR_TARGET ; };
724@@ -415,7 +413,6 @@
725 lang_env_dependencies = { module=boehm-gc; };
726 lang_env_dependencies = { module=gperf; cxx=true; };
727 lang_env_dependencies = { module=libada; };
728-lang_env_dependencies = { module=libgfortran; };
729 lang_env_dependencies = { module=libffi; };
730 lang_env_dependencies = { module=libjava; cxx=true; };
731 lang_env_dependencies = { module=libmudflap; };
732
733--- tmp/configure.orgig 2006-09-06 10:01:52.000000000 +0100
734+++ tmp/configure 2006-09-06 10:01:52.000000000 +0100
735@@ -921,7 +921,6 @@
736 target-libstdc++-v3 \
737 target-libmudflap \
738 target-libssp \
739- target-libgfortran \
740 ${libgcj} \
741 target-libobjc \
742 target-libada"
743@@ -2246,135 +2245,6 @@
744 fi
745
746
747-
748-
749-
750-
751-# Check for GMP and MPFR
752-gmplibs=
753-gmpinc=
754-have_gmp=yes
755-# Specify a location for mpfr
756-# check for this first so it ends up on the link line before gmp.
757-# Check whether --with-mpfr-dir or --without-mpfr-dir was given.
758-if test "${with_mpfr_dir+set}" = set; then
759- withval="$with_mpfr_dir"
760- :
761-fi
762-
763-
764-if test "x$with_mpfr_dir" != x; then
765- gmpinc="-I$with_mpfr_dir"
766- gmplibs="$with_mpfr_dir/libmpfr.a"
767-else
768- gmplibs="-lmpfr"
769-fi
770-
771-# Check whether --with-mpfr or --without-mpfr was given.
772-if test "${with_mpfr+set}" = set; then
773- withval="$with_mpfr"
774- :
775-fi
776-
777-
778-if test "x$with_mpfr" != x; then
779- gmplibs="-L$with_mpfr/lib $gmplibs"
780- gmpinc="-I$with_mpfr/include"
781-fi
782-
783-# Specify a location for gmp
784-# Check whether --with-gmp-dir or --without-gmp-dir was given.
785-if test "${with_gmp_dir+set}" = set; then
786- withval="$with_gmp_dir"
787- :
788-fi
789-
790-
791-if test "x$with_gmp_dir" != x; then
792- gmpinc="$gmpinc -I$with_gmp_dir"
793- if test -f "$with_gmp_dir/.libs/libgmp.a"; then
794- gmplibs="$gmplibs $with_gmp_dir/.libs/libgmp.a"
795- elif test -f "$with_gmp_dir/_libs/libgmp.a"; then
796- gmplibs="$gmplibs $with_gmp_dir/_libs/libgmp.a"
797- fi
798- # One of the later tests will catch the error if neither library is present.
799-else
800- gmplibs="$gmplibs -lgmp"
801-fi
802-
803-# Check whether --with-gmp or --without-gmp was given.
804-if test "${with_gmp+set}" = set; then
805- withval="$with_gmp"
806- :
807-fi
808-
809-
810-if test "x$with_gmp" != x; then
811- gmplibs="-L$with_gmp/lib $gmplibs"
812- gmpinc="-I$with_gmp/include $gmpinc"
813-fi
814-
815-saved_CFLAGS="$CFLAGS"
816-CFLAGS="$CFLAGS $gmpinc"
817-# Check GMP actually works
818-echo $ac_n "checking for correct version of gmp.h""... $ac_c" 1>&6
819-echo "configure:2322: checking for correct version of gmp.h" >&5
820-cat > conftest.$ac_ext <<EOF
821-#line 2324 "configure"
822-#include "confdefs.h"
823-#include "gmp.h"
824-int main() {
825-
826-#if __GNU_MP_VERSION < 3
827-choke me
828-#endif
829-
830-; return 0; }
831-EOF
832-if { (eval echo configure:2335: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
833- rm -rf conftest*
834- echo "$ac_t""yes" 1>&6
835-else
836- echo "configure: failed program was:" >&5
837- cat conftest.$ac_ext >&5
838- rm -rf conftest*
839- echo "$ac_t""no" 1>&6; have_gmp=no
840-fi
841-rm -f conftest*
842-
843-if test x"$have_gmp" = xyes; then
844- echo $ac_n "checking for MPFR""... $ac_c" 1>&6
845-echo "configure:2348: checking for MPFR" >&5
846-
847- saved_LIBS="$LIBS"
848- LIBS="$LIBS $gmplibs"
849- cat > conftest.$ac_ext <<EOF
850-#line 2353 "configure"
851-#include "confdefs.h"
852-#include <gmp.h>
853-#include <mpfr.h>
854-int main() {
855-mpfr_t n; mpfr_init(n);
856-; return 0; }
857-EOF
858-if { (eval echo configure:2361: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
859- rm -rf conftest*
860- echo "$ac_t""yes" 1>&6
861-else
862- echo "configure: failed program was:" >&5
863- cat conftest.$ac_ext >&5
864- rm -rf conftest*
865- echo "$ac_t""no" 1>&6; have_gmp=no
866-fi
867-rm -f conftest*
868- LIBS="$saved_LIBS"
869- CFLAGS="$saved_CFLAGS"
870-fi
871-
872-# Flags needed for both GMP and/or MPFR
873-
874-
875-
876 # By default, C is the only stage 1 language.
877 stage1_languages=c
878
879@@ -2402,15 +2272,6 @@
880 fi
881 enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
882
883- # 'f95' is the old name for the 'fortran' language. We issue a warning
884- # and make the substitution.
885- case ,${enable_languages}, in
886- *,f95,*)
887- echo configure.in: warning: 'f95' as language name is deprecated, use 'fortran' instead 1>&2
888- enable_languages=`echo "${enable_languages}" | sed -e 's/f95/fortran/g'`
889- ;;
890- esac
891-
892 # First scan to see if an enabled language requires some other language.
893 # We assume that a given config-lang.in will list all the language
894 # front ends it requires, even if some are required indirectly.
895@@ -5036,81 +4897,6 @@
896 fi
897 fi
898
899- for ncn_progname in gfortran; do
900- if test -n "$ncn_target_tool_prefix"; then
901- # Extract the first word of "${ncn_target_tool_prefix}${ncn_progname}", so it can be a program name with args.
902-set dummy ${ncn_target_tool_prefix}${ncn_progname}; ac_word=$2
903-echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
904-echo "configure:5045: checking for $ac_word" >&5
905-if eval "test \"`echo '$''{'ac_cv_prog_GFORTRAN_FOR_TARGET'+set}'`\" = set"; then
906- echo $ac_n "(cached) $ac_c" 1>&6
907-else
908- if test -n "$GFORTRAN_FOR_TARGET"; then
909- ac_cv_prog_GFORTRAN_FOR_TARGET="$GFORTRAN_FOR_TARGET" # Let the user override the test.
910-else
911- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
912- ac_dummy="$PATH"
913- for ac_dir in $ac_dummy; do
914- test -z "$ac_dir" && ac_dir=.
915- if test -f $ac_dir/$ac_word; then
916- ac_cv_prog_GFORTRAN_FOR_TARGET="${ncn_target_tool_prefix}${ncn_progname}"
917- break
918- fi
919- done
920- IFS="$ac_save_ifs"
921-fi
922-fi
923-GFORTRAN_FOR_TARGET="$ac_cv_prog_GFORTRAN_FOR_TARGET"
924-if test -n "$GFORTRAN_FOR_TARGET"; then
925- echo "$ac_t""$GFORTRAN_FOR_TARGET" 1>&6
926-else
927- echo "$ac_t""no" 1>&6
928-fi
929-
930- fi
931- if test -z "$ac_cv_prog_GFORTRAN_FOR_TARGET" && test $build = $target ; then
932- # Extract the first word of "${ncn_progname}", so it can be a program name with args.
933-set dummy ${ncn_progname}; ac_word=$2
934-echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
935-echo "configure:5076: checking for $ac_word" >&5
936-if eval "test \"`echo '$''{'ac_cv_prog_GFORTRAN_FOR_TARGET'+set}'`\" = set"; then
937- echo $ac_n "(cached) $ac_c" 1>&6
938-else
939- if test -n "$GFORTRAN_FOR_TARGET"; then
940- ac_cv_prog_GFORTRAN_FOR_TARGET="$GFORTRAN_FOR_TARGET" # Let the user override the test.
941-else
942- IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
943- ac_dummy="$PATH"
944- for ac_dir in $ac_dummy; do
945- test -z "$ac_dir" && ac_dir=.
946- if test -f $ac_dir/$ac_word; then
947- ac_cv_prog_GFORTRAN_FOR_TARGET="${ncn_progname}"
948- break
949- fi
950- done
951- IFS="$ac_save_ifs"
952-fi
953-fi
954-GFORTRAN_FOR_TARGET="$ac_cv_prog_GFORTRAN_FOR_TARGET"
955-if test -n "$GFORTRAN_FOR_TARGET"; then
956- echo "$ac_t""$GFORTRAN_FOR_TARGET" 1>&6
957-else
958- echo "$ac_t""no" 1>&6
959-fi
960-
961- fi
962- test -n "$ac_cv_prog_GFORTRAN_FOR_TARGET" && break
963-done
964-
965-if test -z "$ac_cv_prog_GFORTRAN_FOR_TARGET" ; then
966- set dummy gfortran
967- if test $build = $target ; then
968- GFORTRAN_FOR_TARGET="$2"
969- else
970- GFORTRAN_FOR_TARGET="${ncn_target_tool_prefix}$2"
971- fi
972-fi
973-
974 for ncn_progname in ld; do
975 if test -n "$ncn_target_tool_prefix"; then
976 # Extract the first word of "${ncn_target_tool_prefix}${ncn_progname}", so it can be a program name with args.
977@@ -5843,34 +5629,6 @@
978 echo "$ac_t""pre-installed" 1>&6
979 fi
980 fi
981-echo $ac_n "checking where to find the target gfortran""... $ac_c" 1>&6
982-echo "configure:5848: checking where to find the target gfortran" >&5
983-if test "x${build}" != "x${host}" ; then
984- # Canadian cross, just use what we found
985- echo "$ac_t""pre-installed" 1>&6
986-else
987- ok=yes
988- case " ${configdirs} " in
989- *" gcc "*) ;;
990- *) ok=no ;;
991- esac
992- case ,${enable_languages}, in
993- *,fortran,*) ;;
994- *) ok=no ;;
995- esac
996- if test $ok = yes; then
997- # An in-tree tool is available and we can use it
998- GFORTRAN_FOR_TARGET='$$r/$(HOST_SUBDIR)/gcc/gfortran -B$$r/$(HOST_SUBDIR)/gcc/'
999- echo "$ac_t""just compiled" 1>&6
1000- elif test "x$target" = "x$host"; then
1001- # We can use an host tool
1002- GFORTRAN_FOR_TARGET='$(GFORTRAN)'
1003- echo "$ac_t""host tool" 1>&6
1004- else
1005- # We need a cross tool
1006- echo "$ac_t""pre-installed" 1>&6
1007- fi
1008-fi
1009 echo $ac_n "checking where to find the target ld""... $ac_c" 1>&6
1010 echo "configure:5876: checking where to find the target ld" >&5
1011 if test "x${build}" != "x${host}" ; then
1012@@ -6413,7 +6171,6 @@
1013 s%@DLLTOOL_FOR_TARGET@%$DLLTOOL_FOR_TARGET%g
1014 s%@GCC_FOR_TARGET@%$GCC_FOR_TARGET%g
1015 s%@GCJ_FOR_TARGET@%$GCJ_FOR_TARGET%g
1016-s%@GFORTRAN_FOR_TARGET@%$GFORTRAN_FOR_TARGET%g
1017 s%@LD_FOR_TARGET@%$LD_FOR_TARGET%g
1018 s%@LIPO_FOR_TARGET@%$LIPO_FOR_TARGET%g
1019 s%@NM_FOR_TARGET@%$NM_FOR_TARGET%g
1020
1021--- tmp/config-ml.in.orig 2006-09-06 10:27:49.000000000 +0100
1022+++ tmp/config-ml.in 2006-09-06 10:27:49.000000000 +0100
1023@@ -785,14 +785,12 @@
1024 break
1025 fi
1026 done
1027- ml_config_env='CC="${CC_}$flags" CXX="${CXX_}$flags" F77="${F77_}$flags" GCJ="${GCJ_}$flags" GFORTRAN="${GFORTRAN_}$flags"'
1028+ ml_config_env='CC="${CC_}$flags" CXX="${CXX_}$flags" GCJ="${GCJ_}$flags"'
1029
1030 if [ "${with_target_subdir}" = "." ]; then
1031 CC_=$CC' '
1032 CXX_=$CXX' '
1033- F77_=$F77' '
1034 GCJ_=$GCJ' '
1035- GFORTRAN_=$GFORTRAN' '
1036 else
1037 # Create a regular expression that matches any string as long
1038 # as ML_POPDIR.
1039@@ -821,18 +819,6 @@
1040 esac
1041 done
1042
1043- F77_=
1044- for arg in ${F77}; do
1045- case $arg in
1046- -[BIL]"${ML_POPDIR}"/*)
1047- F77_="${F77_}"`echo "X${arg}" | sed -n "s/X\\(-[BIL]${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X-[BIL]${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1048- "${ML_POPDIR}"/*)
1049- F77_="${F77_}"`echo "X${arg}" | sed -n "s/X\\(${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1050- *)
1051- F77_="${F77_}${arg} " ;;
1052- esac
1053- done
1054-
1055 GCJ_=
1056 for arg in ${GCJ}; do
1057 case $arg in
1058@@ -845,18 +831,6 @@
1059 esac
1060 done
1061
1062- GFORTRAN_=
1063- for arg in ${GFORTRAN}; do
1064- case $arg in
1065- -[BIL]"${ML_POPDIR}"/*)
1066- GFORTRAN_="${GFORTRAN_}"`echo "X${arg}" | sed -n "s/X\\(-[BIL]${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X-[BIL]${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1067- "${ML_POPDIR}"/*)
1068- GFORTRAN_="${GFORTRAN_}"`echo "X${arg}" | sed -n "s/X\\(${popdir_rx}\\).*/\\1/p"`/${ml_dir}`echo "X${arg}" | sed -n "s/X${popdir_rx}\\(.*\\)/\\1/p"`' ' ;;
1069- *)
1070- GFORTRAN_="${GFORTRAN_}${arg} " ;;
1071- esac
1072- done
1073-
1074 if test "x${LD_LIBRARY_PATH+set}" = xset; then
1075 LD_LIBRARY_PATH_=
1076 for arg in `echo "$LD_LIBRARY_PATH" | tr ':' ' '`; do